function jumelles_cafe(jtir)
///////////////////////////////
//  jumelles_cafe
// 
// Realisation d'une experience jumelles
// 
// jtir : numero pour tirage aleatoire
// jalea : passage de jtir par variable globale
// 
// init_cafe.sci : initialisation de l'experience avec jalea
// blue.sci : methode BLUE
// visual_cafe.sci : visualisation des resultats
//
////////////////////////////////////////////

// variables globales
global jalea    // numero du tirage aletoire en cours
global cumul   // cumul d'erreur pour calcul de score
global visu   //  pour desactiver les traces des figures   

// passage de jtir par variable globale 
jalea=jtir;

// Initialisation des parametres de l'assimilation de donnees
[xt,xb,yo,B,R,d,G]=init_cafe();

// Methode BLUE 
[xa,A]=blue(xb,B,R,d,G)

// Matrice des covariances d'erreur d'analyse
if(jtir==1)
  D0=sprintf('Erreur analyse :');
  
  // ecart-type alpha
  sigAalpha=sqrt(A(1,1));
  D1=sprintf('Ecart-type_alpha=%5.3g',sigAalpha);

  // ecart-type P
  sigAP=sqrt(A(2,2));
  D2=sprintf('Ecart-type_P=%5.3g',sigAP);
  
  // correlation alpha P 
  rho=A(1,2)/(sigAalpha*sigAP);
  D3=sprintf('Correlation =%5.3g',rho);
  
  // impression des valeurs 
  disp([D0 D1 D2 D3])
end

// Visualisation des resultats
if(visu) // traces si visu=%T  //
    visual_cafe(xt,xb,xa,yo,B,R)
end 

// Sauvegarde la figure en pdf si ficfigure=%T
ficfigure=%F 
if ficfigure 
  nomfichier=sprintf('cafe%i',jtir)
  xs2pdf(gcf(),nomfichier);
end


// Impression de l'analyse 
alphaa=xa(1);
Pa=xa(2);
disp(sprintf('Analyse %i : alphaa=%5.3g, Pa=%5.3g',jtir,alphaa,Pa))

// Cumul des erreurs pour calcul du score dans fitracafe.sce
cumul=cumul+(xa(1)-xt(1))^2+(xa(2)-xt(2))^2;

endfunction

